eliminado soporte para otras distros que no sean debian

main
fanta 10 months ago
parent 52b3388a05
commit 9e799fa871

@ -1,6 +1,6 @@
#!/bin/bash
# Fanta <fanta@56k.es>
# Script bash para compilar la última versión de scummvm en distros GNU+Linux
# Script bash para compilar la última versión de scummvm en Debian
d="/tmp/scummvm"
@ -9,30 +9,6 @@ if [ "$(whoami)" != "root" ]; then
echo -e "\e[31m\e[1m[NOT OK]\e[0m Run it with root please" && exit
fi
# Ubuntu 20.04.4 LTS
cat /etc/issue | grep "Ubuntu 20.04.4 LTS" 1>/dev/null ; if [ "$?" -ne 1 ]; then
apt update -y ; apt install -y git make gcc g++ libsdl2-dev nasm libsdl2-net-dev liba52-dev libjpeg-turbo8-dev libmpeg2-4-dev libogg-dev libvorbis-dev libflac-dev libmad0-dev libpng-dev libtheora-dev libfaad-dev libfluidsynth-dev libfreetype6-dev zlib1g-dev libfribidi-dev libgif-dev libglew-dev libcurl4-openssl-dev libgtk-3-dev libspeechd-dev libsndio-dev libunity-dev
git clone -b master --depth 1 "https://github.com/scummvm/scummvm.git" $d ; cd $d
./configure --enable-all-engines --disable-discord --enable-plugins --enable-profiling
make clean ; make -j$(nproc); make install
fi
# Ubuntu 22.04.1 LTS
cat /etc/issue | grep "Ubuntu 22.04.1 LTS" 1>/dev/null ; if [ "$?" -ne 1 ]; then
apt update -y ; apt install -y git make gcc g++ libsdl2-dev nasm libsdl2-net-dev liba52-dev libjpeg-turbo8-dev libmpeg2-4-dev libogg-dev libvorbis-dev libflac-dev libmad0-dev libpng-dev libtheora-dev libfaad-dev libfluidsynth-dev libfreetype6-dev zlib1g-dev libfribidi-dev libgif-dev libglew-dev libcurl4-openssl-dev libgtk-3-dev libspeechd-dev libsndio-dev libunity-dev
git clone -b master --depth 1 "https://github.com/scummvm/scummvm.git" $d ; cd $d
./configure --enable-all-engines --disable-discord --enable-plugins --enable-profiling
make clean ; make -j$(nproc); make install
fi
# Ubuntu 22.04.2 LTS
cat /etc/issue | grep "Ubuntu 22.04.2 LTS" 1>/dev/null ; if [ "$?" -ne 1 ]; then
apt update -y ; apt install -y git make gcc g++ libsdl2-dev nasm libsdl2-net-dev liba52-dev libjpeg-turbo8-dev libmpeg2-4-dev libogg-dev libvorbis-dev libflac-dev libmad0-dev libpng-dev libtheora-dev libfaad-dev libfluidsynth-dev libfreetype6-dev zlib1g-dev libfribidi-dev libgif-dev libglew-dev libcurl4-openssl-dev libgtk-3-dev libspeechd-dev libsndio-dev libunity-dev
git clone -b master --depth 1 "https://github.com/scummvm/scummvm.git" $d ; cd $d
./configure --enable-all-engines --disable-discord --enable-plugins --enable-profiling
make clean ; make -j$(nproc); make install
fi
# Debian 9
cat /etc/issue | grep "Debian GNU/Linux 9" 1>/dev/null ; if [ "$?" -ne 1 ]; then
apt update -y ; apt install -y g++ make git nasm libsdl2-dev libsdl2-net-dev liba52-dev libjpeg62-turbo-dev libmpeg2-4-dev libogg-dev libvorbis-dev libflac-dev libmad0-dev libpng-dev libtheora-dev libfaad-dev libfluidsynth-dev libfreetype6-dev zlib1g-dev libfribidi-dev libgif-dev libglew-dev libcurl4-openssl-dev libgtk-3-dev libspeechd-dev libsndio-dev

Loading…
Cancel
Save